Package org.apache.calcite.avatica

# Enum Meta.Style

java.lang.Object
java.lang.Enum<Meta.Style>
org.apache.calcite.avatica.Meta.Style

All Implemented Interfaces:
  `Serializable`, `Comparable<Meta.Style>`, `java.lang.constant.Constable`

Enclosing interface:
  Meta

public static enum Meta.Style extends Enum<Meta.Style>
How logical fields are represented in the objects returned by the iterator.

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`ARRAY`
`LIST`
`MAP`
`OBJECT`
`RECORD`

## Method Summary

Modifier and Type
Method
Description
`static Meta.Style`
`fromProto(org.apache.calcite.avatica.proto.Common.CursorFactory.Style proto)`
`org.apache.calcite.avatica.proto.Common.CursorFactory.Style`
`toProto()`
`static Meta.Style`
`valueOf(String name)`
Returns the enum constant of this type with the specified name.
`static Meta.Style[]`
`values()`
Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### OBJECT

public static final Meta.Style OBJECT

### RECORD

public static final Meta.Style RECORD

### ARRAY

public static final Meta.Style ARRAY

### LIST

public static final Meta.Style LIST

### MAP

public static final Meta.Style MAP

## Method Details

### values

public static Meta.Style[] values()
Returns an array containing the constants of this enum type, in the order they are declared.

Returns:
  an array containing the constants of this enum type, in the order they are declared

### valueOf

public static Meta.Style valueOf(String name)
Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null

### toProto

public org.apache.calcite.avatica.proto.Common.CursorFactory.Style toProto()

### fromProto

public static Meta.Style fromProto(org.apache.calcite.avatica.proto.Common.CursorFactory.Style proto)